LukeRequestHandler (Solr 3.6.2 API)
Keywords: org.apache.solr.handler.admin.LukeRequestHandler class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.handler.admin
Class LukeRequestHandler

    java.lang.Object
      org.apache.solr.handler.RequestHandlerBase
          org.apache.solr.handler.admin.LukeRequestHandler

All Implemented Interfaces:
  SolrInfoMBean, SolrRequestHandler

    public class LukeRequestHandler

extends RequestHandlerBase

This handler exposes the internal lucene index. It is inspired by and modeled on Luke, the Lucene Index Browser by Andrzej Bialecki. http://www.getopt.org/luke/

NOTE: the response format is still likely to change. It should be designed so that it works nicely with an XSLT transformation. Until we have a nice XSLT front end for /admin, the format is still open to change.

For more documentation see: http://wiki.apache.org/solr/LukeRequestHandler

Since:
  solr 1.2
Version:
  $Id: LukeRequestHandler.java 1242152 2012-02-08 22:31:07Z erick $

Nested Class Summary

Nested classes/interfaces inherited from interface org.apache.solr.core.SolrInfoMBean
`SolrInfoMBean.Category`

Field Summary
`static int` | `DEFAULT_COUNT`
`static String` | `DOC_ID`
`static String` | `ID`
`static String` | `NUMTERMS`
`static String` | `REPORT_DOC_COUNT`

Fields inherited from class org.apache.solr.handler.RequestHandlerBase
`appends, defaults, httpCaching, initArgs, invariants`

Constructor Summary
`LukeRequestHandler()`

Method Summary
`String` | `getDescription()` Simple one or two line description
`URL[]` | `getDocs()` Documentation URL list.
`static SimpleOrderedMap<String>` | `getFieldFlagsKey()`
`static SimpleOrderedMap<Object>` | `getIndexInfo(IndexReader reader, boolean countTerms)`
`static SimpleOrderedMap<Object>` | `getIndexInfo(IndexReader reader, int numTerms, Map<String,org.apache.solr.handler.admin.LukeRequestHandler.TopTermQueue> topTerms, Set<String> fields)`
`String` | `getSource()` CVS Source, SVN Source, etc
`String` | `getSourceId()` CVS Id, SVN Id, etc
`String` | `getVersion()` Simple common usage version, e.g.
`void` | `handleRequestBody(SolrQueryRequest req, SolrQueryResponse rsp)`

Methods inherited from class org.apache.solr.handler.RequestHandlerBase
`getCategory, getInitArgs, getName, getStatistics, handleRequest, init`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NUMTERMS

    public static final String NUMTERMS

See Also:
  Constant Field Values

### DOC_ID

    public static final String DOC_ID

See Also:
  Constant Field Values

### ID

    public static final String ID

See Also:
  Constant Field Values

### REPORT_DOC_COUNT

    public static final String REPORT_DOC_COUNT

See Also:
  Constant Field Values

### DEFAULT_COUNT

    public static final int DEFAULT_COUNT

See Also:
  Constant Field Values

Constructor Detail

### LukeRequestHandler

    public LukeRequestHandler()

Method Detail

### handleRequestBody

    public void handleRequestBody(SolrQueryRequest req,
                                  SolrQueryResponse rsp)
                           throws Exception

  Specified by:
    `handleRequestBody` in class `RequestHandlerBase`
  Throws:
    `Exception`

### getFieldFlagsKey

    public static SimpleOrderedMap<String> getFieldFlagsKey()

  Returns:
    a key to what each character means

### getIndexInfo

    public static SimpleOrderedMap<Object> getIndexInfo(IndexReader reader,
                                                        boolean countTerms)
                                                 throws IOException

  Throws:
    `IOException`

### getIndexInfo

    public static SimpleOrderedMap<Object> getIndexInfo(IndexReader reader,
                                                        int numTerms,
                                                        Map<String,org.apache.solr.handler.admin.LukeRequestHandler.TopTermQueue> topTerms,
                                                        Set<String> fields)
                                                 throws IOException

  Throws:
    `IOException`

### getDescription

    public String getDescription()

  Description copied from interface: `SolrInfoMBean`
  Simple one or two line description

  Specified by:
    `getDescription` in interface `SolrInfoMBean`
  Specified by:
    `getDescription` in class `RequestHandlerBase`

### getVersion

    public String getVersion()

  Description copied from interface: `SolrInfoMBean`
  Simple common usage version, e.g. 2.0

  Specified by:
    `getVersion` in interface `SolrInfoMBean`
  Specified by:
    `getVersion` in class `RequestHandlerBase`

### getSourceId

    public String getSourceId()

  Description copied from interface: `SolrInfoMBean`
  CVS Id, SVN Id, etc

  Specified by:
    `getSourceId` in interface `SolrInfoMBean`
  Specified by:
    `getSourceId` in class `RequestHandlerBase`

### getSource

    public String getSource()

  Description copied from interface: `SolrInfoMBean`
  CVS Source, SVN Source, etc

  Specified by:
    `getSource` in interface `SolrInfoMBean`
  Specified by:
    `getSource` in class `RequestHandlerBase`

### getDocs

    public URL[] getDocs()

  Description copied from interface: `SolrInfoMBean`
  Documentation URL list.

  Suggested documentation URLs: Homepage for sponsoring project, FAQ on class usage, Design doc for class, Wiki, bug reporting URL, etc...

  Specified by:
    `getDocs` in interface `SolrInfoMBean`
  Overrides:
    `getDocs` in class `RequestHandlerBase`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD